======================================================================
Jext history changes file since v2.0
======================================================================

v3.0:
    - Core changes:
        + Dawn is now provided in a separate JAR file
        + A lots of memory cleaning thanks to Julien Ponge
        + Docs are no longer shipped with Jext (apart download)
        + One Click! actions are now built from an external XML file
        + Print plugin is now part of the core
    - API changes:
        + Jext now uses GNU regexp package v1.1.3a instead of 1.1.1
        + Dawn functions specific to Jext moved to
          org.jext.scripting.dawn.function
        + org.jext.actions.RunScript moved to org.jext.scripting.dawn.Run
        + Plugins may implement RegisterablePlugin interface to catch
          all the events fired during creation of new JextFrame
        + New plugin dependency: deprecateJDK. This allows to disable a
          plugin with a given JDK version and higher
        + All the *Reader and *Handler classes related to XML have moved
          to org.jext.xml
    - GUI changes:
        + Little modifications in Jext UI theme (black fonts as in JDK 1.4)
        + The VF tab has become Bookmarks
        + Bookmarks and Workspaces are in same tab
        + Dropped Skins support
        + Added a new Look and Feel plugin (Kunstsoff)
        + Sets toolbar buttons rollover
        + Sets buttons highlight color
    - Bug fixes:
        + Various bug fixes due to Python actions
        + "Toolbar splitter" fix (Frank Hale)
        + Many bug fixes in python actions
        + Changes for JDK 1.4 compliance
        + Skins switching fixes
        + XTree reloading was not working until you changed the colorizing mode
        + Read only files cannot be edited any more
        + The save dialog on exit is now working well
        + Fixed the find text field focus bug
        + Fixed various menus and shortcuts definition problems (XML files)
        + Fixed bug in Shortcuts option panel when you click on "Apply"
    - Features improvments:
        + Auto-indent enabled for Python mode
        + Workspaces are now saved in XML files (Grant Stead)
        + ASP/Perl syntax support improvments (Geoff Capper)
        + Better auto-indent (can unindent)
        + New search and replace engine
        + With JDK 1.3 and higher, the console can executes commands in the
          current working directory
        + The Bookmarks got a popup menu
        + To Lower and To Upper Case functions now provide C+e C+l and
          C+e C+u shortcuts. If no selection exists, they act on current
          character, and then right-shift the caret
        + Some changes in HTML colorization mode
        + Same changes in PHP mode
        + Improved C# mode
        + Improved Python mode
        + Improved PHP mode
    - New features:
        + New SQR syntax mode
        + Virtual Folders accept subfolders (thanks to Grant Stead)
        + You can make the open dialog use current opened file directory
          instead of last directory (option)
        + Dawn offers an interactive console for execution outside of Jext
        + New embedded Python scripting language support (Jython)
        + Python scripts (*.py) are executed on startup from ~/.jext/scripts
          or plugins archives
        + CSS entries in XInsert panel
        + Menu items actions can be written in Python !
        + New PyBrowse plugin: class browser for python files
        + Workspaces now reminds of last selected document
        + New XML Browser plugin
        + Double-click an error in Python log window to go to matching line
        + The gutter now shows marks for caret and anchor positions. It also
          marks select lines
        + New Cobol syntax support
        + Scripted replaces: using the _m array you can apply scripts
          on replaces in Replace dialog box !!
        + Copying or cutting with a void selection makes acting on the
          whole line
        + Methods/constructors colorized in C/C++/C#/Java modes
        + Pressing HOME brings back to the first non-whitespace letter
          (second press gets to beginning of line)
        + The HTML plugin now offers a tags completion popup
        + New JSP syntax colorizing support
        + TAB and Shift+TAB now indent/de-indent text
        + New console command: eval, which evaluates a Python scriptlet
        + You can load or not XInsert and Console on startup.
          Much faster startup if you disable them.
        + New Edit/File menu to add file name related informations
        + New debug menu (if Jext.DEBUG == true) in which you can reload
          Jext menubar and python actions
        + HTML entities completion
        + A jext.exe launcher with INI config file
        + Print colors and styles
        + You can drag n' drop to move/copy text within Jext text area
        + Click on toolbar "Find" button to activate incremental search
        + New Transpose Lines edit function
        + Workspaces switcher: you can now switch a file from one workspace
          to another one using the new button in workspaces panel
        + New XML/DTD and PHP library for XInsert
        + New PHP Class browser as plugin

v2.11:
    - API changes:
        + Jext now uses GNU regexp package v1.1.1 instead of 1.0.8
    - GUI changes:
        + You can choose flat menus or classic Swing menus
        + You can use or not the Jext UI theme (thin fonts)
        + You can use or not highlighted buttons
        + New option pane: User Interface
        + Added skinning possibilities thanks to the SkinLF library
          Get new themes on http://www.L2FProd.com or
          http://www.myLookAndFeel.com
    - Bug fixes:
        + PHP syntax colorizing mode was a little bit buggy with html
          tags (same bug as former XML/HTML one)
        + A null pointer exception was thrown if a key shortcut was
          invoked when a tab title was selected
        + In key shortcuts options pane, the menu items of mode
          specific plugins were duplicated
        + Unsetting a shortcut would not work
        + You can now cancel the exit process if one or more files have
          been modified
        + Several skins implementation bug fixes
        + Enter key press wasn't working in Search/Replace dialog
        + Console was hanging when doing a ls/dir command with files
          whose names were longer than 26 characters
    - Features improvments:
        + Wrap guide and lines interval highlighting are better
          supported
        + jext.js starting script is much better and should now works
          on any configuration
        + HTML/XML and PHP modes now render better multilines tag
          attributes values
        + Item names in key shortucts options pane are now
          alphabetically sorted
        + Undos are much much better handled !
        + You can use the delete key in CodeMaster to remove a file from
          a project
    - New features:
        + Wrap guide: go to Editor options and enter an offset for the
          wrap guide. A vertical line will then show you the required
          position. The offset defines the amount of characters before
          the guide.
        + Jext remembers the position of the caret on exit
        + New console variable: $s which expands selected text
        + Mixed items in XTree: a mixed item is an item which can
          contain both plain text and Dawn scripts. Each script
          encountered is executed and the result is inserted within the
          text. A script is surrounded by two % (see documentation)
        + Use CA+UP, CA+DOWN, CA+PAGE_UP and CA+PAGE_DOWN to scroll the
          text without changing caret position
        + C# (C-Sharp) syntax support
        + ASM x86 syntax support
        + LAT/Turbo LAT syntax support
        + Filtered paste: performs a replace all operation on clipboard
          content during the paste
        + You can drop files over the Console to "type in" their names
        + SQL (Transact SQL) syntax support
        + New find matching bracket function (C+m)
        + Anti-aliased text option
        
v2.10.1:
    - Bug fixes:
        + Fixed a bug with ENTER key press in search dialogs
        + Bracket matching bug fix
        + Closing all files in a workspace and then switching
          workspaces was causing weird behavior
        + Print plugin couldn't save fonts informations
        + HTML/XML was buggy on tag attributes painting
        + CodeMaster was hanging up under certain circumstances
    - New features:
        + French doc included
        + C+INSERT and S+INSERT copy and paste text (for MS-DOS
          addicted)
        + One Click! actions: click onto the menu item and then, each
          click within the text area will perform the action !
    - Features improvments:
        + If you associate Jext with a given type of file, edit
          the variable JEXT_HOME in jext.bat for Win32
        + Using the find text field within toolbar set the find pattern
          so that F3 performs next search
        + Better rendered lines selection painting
        + Horizontal scrollbar is now resized according to text width
        + Plugins can now be translated with the help of languages packs
          (French pack includes default plugins translation)

v2.10:
    - Core changes:
        + Base package com.chez.powerteam has become org.jext
    - API changes:
        + jextFrame.getTextArea() can now return the splitted text
          area. Therefore, it is adviced that any non-edition action
          must call jextFrame.getNSTextArea() (for instance, Jext
          Open, Close, Save... actions call getNSTextArea()). This
          second method cannot return the splitted are (which do not
          hold any 'file' information).
    - Bug fixes:
        + Close All wasn't working
        + Many Java plugin quirks has been fixed
        + Many syntax colorizing modes file filters definition quirks
          have been fixed
        + Solved security issues
        + HyperTyper couldn't be disabled in About Plugins menu
        + About Plugins dialog was throwing an exception if no plugin
          was installed
        + Actions repeat (C+ENTER) wasn't working well
    - GUI changes:
        + Two new splash screens with a total of four
        + Check boxes focus is better rendered
        + You can activate titled separators in the drop down menus
        + Improved version check dialog
        + New icons
    - New features:
        + If Jext is running, launching a new instance of Jext will
          load this new instance in the first Jext instance JVM. Thus
          every Jext will run in only single one JVM instance ! In
          fact, if several users are working on the same machine, one
          JVM is loaded for each user
        + You can now select your language pack
        + Reverse paste action
        + Insert Class Name feature in Java plugin
        + If someone attempts to break into your system through the
          port opened by Jext (the one which allow single JVM
          loading), you'll be warned by a message
        + In Tools menu you can now trigger left/top tabbed panes
          (F7 and F8 key shortcuts)
        + Text surrounding in XTree: select some text, click on an
          item in the XTree and the selected text will be simply
          surrounded by the item (works with HTML tags, braces...)
        + Auto indent has been separated into "TAB Indent" and
          "ENTER indent"
        + IDL and TEX/LATEX modes support
        + New From Templates menu thanks to Blake Winton
        + Virtual Folders let you organize most frequently accessed
          documents
        + Mouse wheel support thanks to Barranger Ridler and Scott
          Wyatt. Only under Windows.
        + New Delete File action in File menu
        + Workspaces allow to better manage opened files
        + New editing actions from Matt Benson. Act as normal
          actions but are case sensitive:
          CA+LEFT (or RIGHT)
          CAS+LEFT
          CA+BACK_SPACE
          CAS+BACK_SPACE
        + You can decide to open files passed in arguments to Jext
          in a running window instead of in a new window (assuming
          an instance is running and Jext loader server is enabled)
        + Added drag n' drop to workspaces and virtual folders
        + Ed plugin is no more shipped with Jext
    - Features enhancements:
        + HyperTyper plugin now opens its panes in the left tabbed
          pane
        + Undoing back to first action will make the document being
          considered as unmodified
        + Pressing enter in search/replace dialogs now starts the
          research or the replacement
        + FastFind and FastSyntax plugins are now parts of the core
        + Java Browser docks itself in the left tabbed pane
        + ANT-makefile requires ANT 1.2 or higher
        + JBrowse does not requires file saving anymore <Matt Benson>
        + JBrowse can now sort methods alphabetically <Matt Benson>
        + HyperTyper removes unwanted spaces <Matthew Benson>
        + \c sequences are highlighted in XML mode
        + A lot of improvments in CodeMaster plugin thanks to Aaron
          Miller and Carl-Peter
        + Splitted editor allow any action in the bottom area
        + Look change in Jext documentation
        + Documentation complete !!

v2.9:
    - Core changes:
        + Switched to JDK 1.2 compliance only !!
        + Plugin can now be associated to syntax colorizing modes:
          a plugin associated to a given mode will be shown only when
          the syntax colorizing mode is selected
        + Console can now be extended through the addCommand(Command)
          method which allow external classes to add commands to the
          console
        + Toolbar and menubar loadings are no more threaded
        + Changed almost all the Vector to ArrayList which are much
          faster (plugins menu items are still loaded into Vectors to
          avoid rewriting them)
        + Key shortcuts now work even if text area does not have focus
        + Drag n' drop feature is now part of the core
    - GUI changes:
        + New gradient painted progress bar
    - API changes:
        + Utilities.chooseFile(Component, int) allows single file
          selection whereas the brand new method
          Utilities.chooseFiles(Component, int) allows mutiple files
          selection
        + Most of the methods returning a java.util.Vector in the core
          classes (Jext, Mode...) now return a java.util.ArrayList
    - Bug fixes:
        + "Plain replace all" function now works fine
        + Changes in "show/hide left/bottom panel" handling
        + Printing plugin options pane wasn't showing
        + Find accessory panel in find dialog wasn't working well
        + Fixed a bug in FastSyntax plugin which was causing Jext to
          set last text area to get same colorize mode as newly opened
          text area
    - New features:
        + Dawn language support
        + New Java get/set wizard in the XTree (selecting a variable
          name build get/set using this name)
        + New Puyo! plugin. This plugin allow you to create a
          customized batch drop down menu
        + About plugins window now allow to enable/disable installed
          plugins
        + Ed plugin is now shipped with Jext
        + Jext FE plugin allow to browse your disks very easily
        + New JSP tags support in the XTree
    - Features improvments:
        + "Complete Word" function now displays a selector if several
          words match the abreviation
        + Datas pasted from the XTree are now auto indented
        + XTree can now associate root nodes to syntax colorizing modes
        + New Dawn function: getSelectedText
        + File choose now accepts multiple files selection <JDK 1.3>
        + Improved XTree default libraries
        + Java Browser feature now auto-parses the source code when your
          change the selected Java source in Jext
        + Changed Java Browser icons to match Swing/Jext look

v2.8.1:
    - GUI changes:
        + New customizable console prompt
        + New toolbar
        + New buttons (highlighted in light-blue)
        + The find all window is now a frame instead of a dialog
        + Improved HTML syntax colorizing mode
        + Bug fix in layout changes (show console/xinsert, split editor)
        + Scripts in the XTree are now shown differently
        + Two new splash screens randomly shown
    - New features:
        + Dawn scripting allows to manipulate Java objects
          (field constructor new class method and invoke keywords)
        + TAB console key is now S+TAB and TAB now completes file name
        + New VHDL/Verilog languages support
        + New Eiffel syntax colorizing mode
        + New CodeMaster plugin (replace JCompile)
        + New plain search
        + New uncomment functions
    - Features improvments:
        + Open file dialog now remembers of last filter used
        + Class browser now sorts method alphabetically
    - Core changes:
        + Scripts running is threaded
        + Popup menus loading is threaded
        + XTree loading is threaded
        + Toolbar loading is threaded
        + Menubar loading is threaded
    - Misc:
        + Sources archive is now complete and is enough to build Jext
          from scratch

v2.8.0: - New scripting language (Dawn)
        - Dawn server. Use a Telnet client to logon port 1705 and
          execute scripts on remote Jext
        - New console variable: $e which stands for current file name,
          with no extension (very useful to launch java)
        - New key strokes C+TAB and CS+TAB which browse through the
          opened files
        - New files finder in open dialog
        - Find all dialog now underlines all found occurences for an
          easier browsing
        - XTree can now contain infinite nested submenus
        - You can now split editor area into two areas (F6 key)
        - Files *.jext-script in plugins or in <HOME>/.jext/scripts
          are automatically executed on startup
        - Console for Dawn debugging
        - User can choose between 5 different sets of icons
        - New file filters in open dialog
        - Added a gutter to the text area
        - New ASP mode (perl, vbs, js, asp...)
        - New HyperTyper function: auto expand
        - JBrowse replaces old Method Seeker in Java plugin
        - Major core changes: old plugins cannot be used in Jext 2.8
        - New option: you can save session for your opened files to be
          automatically loaded on startup next time your launch Jext
        - New launch script for NetWare 5
        - Both ASP and Text syntax colorizing modes are now parts of
          the core. It speeds up starting a bit.
        - New syntax modes: Bat, BeanShell, PHP3, Props, Python and
          Un*x Shell and POVray scenes files
        - New options dialog
        - Bug fixes in opening of files at startup
        - Typing ENTER in replace or serach fields in find dialog will
          perform the search/replace operation
        - Better GUI integration API for plugins
        - New Print plugin

v2.7.0: - Multi document edition is finally available
        - Plugin can more easily add new syntax colorizing modes
        - New Text syntax colorizing mode plugin
        - Drag n' drop accept several files at once
        - FastTyper has become the HyperTyper plugin which
          adds transient sequences
        - Plugins have been rewritten due to API changes because
          of the new multi document editing feature
        - New console command: run:scriptname
        - New popup menus over tabs and text areas
        - New save dialog
        - Nicer GUI

v2.6.1: - Plugins can add menus and menu items in any Jext menu but
          File menu
        - Minor codes improvments
        - Jext now comes along with an XML generated documentation.
          This documentation is generated by Gaļa which is (C)1999
          by Romain Guy (author of Jext).
        - New smart HOME/END option
        - Simple event system implemented. Now FastSyntax changes
          selected syntax mode when mode was changed by options or by
          the open function.
        - Extensions internally used to choose appropriate syntax
          colorizing mode are no more hard-coded
        - You can now specify your own file filters to be associated
          with Jext syntax colorizing modes
        - New FastTyper option: place your caret at the end of a word
          or on a word, then press ESC. If this word is specified as an
          internal abreviation, Jext wille expand it. For example:
          sout will become System.out.println("");
        - Added a key shortcuts editor
        - Added console colors setup in options dialog
        - File filters now use Un*x Glob filters (PLEASE DELETE YOUR
          PROPERTIES FILE IN <HOME>\.JEXT)
        - New Drag n' Drop plugin

v2.6.0: - Search dialog saves history
        - You can save console history
        - Mailer provides details
        - New options
        - Debugged jHP49
        - New text area: provides rectangular selection (keep Ctrl
          pressed), better selection on double click, you can
          Shit+click to select, double click a bracket to select a
          block of code, supports styles (bold, italic)
        - Removed useless key shortcuts
        - Improved auto-indentation
        - New plugin: Dick Tracy
        - Plugins can now add their options panes in a special
          plugins options dialog
        - Support for multi-shortcut. Example: C+e C+m
        - Properties have moved to <home>/.jext
        - New splash screen
        - An XTree item can be inserted several times
        - Many bug fixes
        - You can copy text from the console
        - Unbundled many plugins
        - JDK 1.1 fully compliant
        - Press C+D in console to kill process
        - New Makefile, C and C++ syntax colorization
        - Syntax colorizing option pane in options
        - Jext now load properties from XML files
        - New text features: Begin Lines and End Lines With
        - New plugin: FastFind which adds a text field in the
          toolbar to quick search text
        - Plugins API changes
        - Added an About Plugins dialog
        - Files named *.props.xml in a plugin JAR file will be
          loaded as XML properties
        - Arghl ! None of my XML files was valid :-( The toolbar DTD
          was even not the good one !
        - Number of recent files can be set
        - New Tab Stop option
        - New Indent HTML feature which auto format an HTML source code

v2.5.0: - Improved anchors: if you drop it at the beginning of the
          word 'Java', then delete a line, clickin Go To Anchor will
          put you at the beginning of the word 'Java'
        - New anchor features: Select To and Select From Anchor
        - Added Perl syntax colorizing mode
        - The Remove All Tags from HTML plugin had a very hazardous
          behaviour so I removed it
        - Implemented the Find All function

v2.4.9: - You can now use any font installed on your system
        - Changing properties will affect all opened windows
        - Opening a new file will store the file name in the
          Recent menu of each opened window
        - Typing F10 to hide/show XTree activated File menu
        - You can choose prompt type in the console
        - New console command: pwd
        - Better options dialog
        - New plugin: the Java HP49 (RPN calculation mode)
          See plugins/jHP49.txt
        - You can create submenus in the plugins menu
        - Plugins menu items support key shortcuts
        - Moved Java and HTML features in the plugins menu
        - Pressing twice HOME or END now work
        - Ctrl+UP goes to start of previous line (no indent)
          and Ctrl+DOWN to start of next line (no indent)
        - ARGGGHH !! Jext was using Ctrl+P for paste instead of
          the well known Ctrl+V !!
        - Plugins in <user home>\jext\plugins are loaded
        - XInsert files are loaded from <user home>\jext\xinsert
        - Properties file has moved to <user home>\jext

v2.4.8: - Added a plugin system (see plugins directory)
        - Takes a little bit less memory
        - Plugins and Actions were duplicated in memory when you
          created a new window...
        - XTree looks better with new icons and new selection colors
        - Startup is quicker
        - XTree take less memory (insert datas were duplicated for
          each new window :-()
        - Reloading the XTree will affect all the XTrees (if you
          opened many windows)
        - XTree bug fixes (you couldn't add an item after a menu !)
        - Pressing UP in the Console after ENTER wouldn't get last
          typed command but previous one
        - Pressing ESC in the Console now delete line
        - New function in the Console: home (go back to Jext's dir)
        - Auto Version Check wouldn't notify you bug-fixes releases
          (if you have 02.04.08.00, it wouldn't tell you 02.04.08.01
          is out !)
        - Word Count function displayed null Strings (the property
          file was incomplete)
        - HOME and END finally work perfectly well in the console and
          the mouse click catch has been improved
        - New Open In Window function
        - Due to new option pane, auto save function wasn't started
          until you go in the option pane
        - Improved VersionCheck performances (does not slow down your
          work while trying to download version-check file)
        - List of available script actions in the following file:
          scripts\Jext_Functions.txt
        - Beautify option now format your source code (i.e:
          if(line==max%3) --> if (line == max % 3) etc...)
        - Optimized opens from Web and zip files
        - When you open a script, Jext remembers last directory you
          used as for open and save
        - You can launch scripts from the XTree. If you add a script
          in it, the item tag must contain the attribute script="yes"
        - Beautified XTree
        - New functions: Find Next, Find All, Replace Next and Replace
          Selection. Now placed in the Search menu
        - If you reloaded the XTree, it became empty
        - Added a new plugin: uOb. Using it will transform your source
          code into unicode text, unreadable but compilable ;-)
        - Makefile is now stored in the jext_src.jar file

v2.4.7: - New Beautify feature for java source code
        - New scripting system
        - If you are creating new XInsert files, you can now press
          the Reload button in the XTree panel. Thus you avoid to
          quit and restart Jext each time
        - You can join my mailing-list (see Jext.html)
        - Jext exits only if all windows have been closed or if you
          click on Quit in the File menu
        - Auto check version now display news/changes (you might not
          want to download a version if changes are not important)
        - Scripts support any system command (you can launch
          softs and use cd and ls on any platform)
        - A console has been added (supports ls and cd)
        - Some bug fixes in the console
        - Changing font in the option pane wouldn't apply until next
          launch of Jext
        - Two new functions in the console: http:// and file:
        - The Wing and JavaDoc comments were'nt working (bug in
          the XML !)
        - Join Lines has become Join All Line (C-A+a) and a new
          function has appeared: Join Lines

v2.4.6: - If you try to open a zip file, Jext will allow you to browse
          it and open any file directly from it !
        - Some options are now set by default
        - Zip file was created even if you didn't saved your file
          before and this entailed some errors
        - Jext can now open jars files !
        - Better code for getJextParent() and getTextArea() methods in
          MenuAction

v2.4.5: - Added some stuffs in the Java XInsert menu
        - XInsert datas are now stored in a tree, next to the text area
          This way, you can add easily add several datas from the
          XInsert system. You can hide/show the tree by pressing F3.
        - Updated the documentation
        - Argh !! Normal opens (not from Web) didn't work !!
        - Added the Expand and Collapse buttons for the insert tree
        - Added the Join Lines function (dedied to you, Sylvain ;-)
        - Added the Carriage Return option in the XTree
        - There was a bug in the XTree: an exception was fired when
          you inserted a data then tried to collapse its branch
        - The XInsert DTD wasn't valid because of the new tree system
        - An exception was thrown is you tried to zip a new text (which
          wasn't saved yet)

v2.4.4: - Placed all the options in a separate frame which you can
          access by pressing C-S+o
        - Two menus and a lot of classes have dissapeared...
        - Reduced packages sizes
        - If you modified your text and tried to close the window with
          the close button in title bar, then decided to press Cancel,
          Jext dissapeared but was still running :-( But this is fixed
        - You can now open files directy from the Web
        - Needs less memory at startup
        - Little fix: look and feel was reloaded each time you left the
          option pane (even if it hasn't changed)

v2.4.3: - Minor GUI changes
        - Changed menus shorcuts (options use all Ctrl+Shift, Edits
          Ctrl+Alt or Ctrl)
        - You can decide to use or not regular expressions in find/
          replace dialog
        - Added a 'Mail to...' menu
        - Removed About special effects (sometimes crashed computer)
        - Cleaned the code (no more static variables and methods)
        - Jext now opens files much faster
        - Improved 'Remove All Tags' a lot (now translates special
          chars like &nbsp; and some tags like <BR>)

v2.4.2: - Cleaned some parts of the code
        - Added tips at startup
        - All the messages used by the GUI are stored in jext-gui.text
        - Minor code improvement
        - Fixed undo limit to 1000
        - Minor bug in Remove End Spaces

v2.4.1: - He he, a new f/x is waiting for you in the about menu...
          Jext will choose one of the two available at random.
        - Speeded up GUI's build
        - Sources are now stored in jext_src.jar: this reduces the
          size of the distribution of about 100 kb
        - All the classes are now loaded at startup
        - Ouch !! There was a LOT of duplicated shortcuts in the menus

v2.4:   - I promised it to you... here it is !! The GUI is now almost
          entirely built from an XML file. I'm waiting for your trans-
          lations. Just send'em to romain.guy@jext.org. See the file
          com/chez/powerteam/jext/menus/jext.menu.xml.
        - Next step: adding multi-document editing support...
        - Forgot to validate the new jext.menu.xml file... done !
        - The toolbar is now built from an XML file, too
        - Added the GPL header for source file in the XInsert default
          menu...

v2.3.1: - Hehe... a wonderful surprised is waiting for you in the about
          menu (do you like demo f/x ?)
        - I've repackaged the menu items actionlisteners
        - Next version will be 2.4: the menus will be created from XML
          files. This way, Jext.java will decrease of about 20 kb and
          I'll be able to offer translations of Jext in many languages.
          The translations will only affect the menus at a first time.
          But then, you'll be able to translate all the strings used
          by Jext...
        - Little bug (with the waiting cursor) on tab-press fixed
        - Changed the GUI icons
        - Reduced the package size
        - Very odd bug: insert menu sometimes didn't appear

v2.3:   - A little bug which occured with wait cursors has been fixed
        - Insert data files structures have changed: they use XML now !
        - I've finally found GNU's regexp sources !
        - Please use the DTD file (xinsert.dtd) to validate your insert
          data files (otherwise you could encounter a lof of errors)
        - XML parsing errors do not generate awful Java exception
          messages. Instead, Jext gives you line and column numbers
          where error occured.
        - A part of the old insert data file was 'bugged'
        - Due to the new insert system, caret position after having
          inserted a data wasn't right
        - You can now specify the DTD to be used in your XInsert files
          (this DTD must ALWAYS be "xinsert.dtd")
        - Oooooopppps ! My default XInsert file wasn't valid !
        - Linking .java files with Jext under Win32 previously entailed
          a bad syntax colorizing mode choose
        - XML and JavaScript (.js) files are now automatically HTML
          colorized
        - Yes, I know, the Special HTML section in the default XInsert
          file was bugged. I'm really sorry: first time I use XML
        - There is a tag especially made for separators now:
          <separator /> instead of <item name="none" separator="yes">
          </item>. Better, isn't it ?
        - Items captions are now defined by the name attribute (instead
          of title)
        - I'm discovering XML... default XInsert file is now called
          jext.insert.xml. There are three other files, called
          html.insert.xml, jscript.insert.xml and java.insert.xml.
          These files are PARTS of jext.insert.xml
        - Argh ! The part of the insert system dedied to the following
          special chars was bugged: '|', '||', '\n'
        - Fixed a bug in the loading of a file from command prompt.
          Anyway, this bug couldn't happend in Jext ;-)
        - Jext now makes the difference between last path used to open
          a file and last one used to save a file
        - Modified the Jext HTML doc. Now have the same style as all my
          Java producs' doc (see WebHunter, iOb...)

v2.2.7: - Minor syntax colorization bug fixes
        - Now use original syntax colorization package
        - Minor bug fix in expand abbreviation
        - Repacked find dialog
        - Fixed a bug in the GUI
        - Changed some methods names in JextTextArea and Utilities
        - Removed a call to a deprecated method (with JDK 1.2.1)
        - I had a very important exam today, french BAC, and I added
          an HTML function
        - Long operations now display a wait cursor

v2.2.6: - Added two new commands: Sort Lines and Reverse Sort Lines
        - Fixed a GUI bug in Remove End Spaces

v2.2.5: - A gift to you for my birthday: I've changed the splash
          screen (nicer, hu ?)
        - Oh, and a bug fix, too (when load a file from command line)
        - Star Wars just went out in the US and I improve the methods
          seeker to wait until Star Wars is available in France
          (13th October 1999 !!!!)
        - Added three Java functions to handle comments
        - Fixed a bug in menu items accelerators
        - Added accelerators to recent menu items
        - Fixed a tab-size bug

v2.2.4: - For hackers only, I've better documented main sources
          (Jext.java, JextTextArea.java and Utilities.java)
        - Changing the look will automatically applies
        - Fixed a bug when load a file from command prompt

v2.2.3: - Improved some parts of the code
        - Cleaned some parts of the code
        - Better packaged the classes
        - Added block-shaped caret

v2.2.2: - Improved the Insert menu (you can now defines caret's posi-
          tion, insert data file is easier to write)
        - Insert data file is now named "html-java.insert"
        - You can place as many insert data files as you wish in your
          home directory (C:\Windows\Profiles\<USER> under Windows)

v2.2.1: - Fixed a bug in colorizing mode choice's save
        - Windows users can now run Jext by double-clicking the
          jar file

v2.2.0: - Added HTML & JavaScript syntax colorizing

v2.1.4: - A lot of minor improvements in the code

v2.1.3: - Improved method for the Insert menu creation (we gain about
          250 milliseconds at startup)

v2.1.2: - Made some improvement in the Insert menu (now uses \n
          instead of ** for carriage return in InsertMenu.txt)

v2.1.1: - Several bug fixes in colorizing mode

v2.1.0: - Added Zip as... in File menu

v2.0.4: - Added Blocks Indent in Java menu

v2.0.3: - Changes in syntax colorization implementation
        - You can now turn into overwrite mode while pressing 'Ins'

v2.0.2: - Fixed a bug in colorizing mode when load a file or create
          a new one
        - Changed some colors in the colorizing mode

v2.0.1: - Fixed bug in UndoListener and EditListener (due to colori-
          zing mode)
